#ifndef NAVE_H
#define NAVE_H

#define _3DS 1

#include "Objeto.h"
#include "Vector3D.h"
#include "Model.h"
#include "Model_3DS.h"


#define NAVE_ACL 0.005
#define NAVE_MAX_VEL 0.2
#define NAVE_VEL_ANG 1

class Nave : public Objeto {
public:
	Nave();
	~Nave();
	void draw();
	void addYaw(double val);
	void addPitch(double val);
	void addRoll(double val);
	void update();
#ifdef _3DS
	static Model_3DS * modelo;
#else
	static Model * modelo;
#endif
	Vector3D front;
	Vector3D up;
	Vector3D right;
	double vel;
	double yaw, pitch, roll;
	double acl;
	double vidas;
private:
};

#endif
